> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder categories

> Assign display positions 0..n-1 for every category in the knowledge base.

Assign display positions 0..n-1 for every category in the knowledge base.

```http
POST https://api.weav.com/v1/kb-categories/reorder
```

Requires a token with the `external-api:write` ability.

## Body

<ParamField body="ids" type="array&lt;string&gt;" required>

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request POST \
  --url 'https://api.weav.com/v1/kb-categories/reorder' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "ids": [
    "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
  ]
}'
```

```js JavaScript
const body = {
  "ids": [
    "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"
  ]
};
const response = await fetch("https://api.weav.com/v1/kb-categories/reorder", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"ids": ["9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d"]}
response = requests.post("https://api.weav.com/v1/kb-categories/reorder", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-categories/reorder', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'ids' => 
  array (
    0 => '9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d',
  ),
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "data": [
        {
            "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "name": "string",
            "slug": "string",
            "section_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "position": 0,
            "created_at": "2026-01-01T00:00:00Z",
            "updated_at": "2026-01-01T00:00:00Z"
        }
    ]
}
```

</CodeGroup>

- `422` Unprocessable Content
- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string">

</ParamField>

<ParamField body="section_id" type="string | null">
Format: `uuid`.
</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
